Package org.apache.sling.feature.io.artifacts.spi

# Interface ArtifactProviderContext

All Known Implementing Classes:
  `ArtifactManagerConfig`

@ProviderType public interface ArtifactProviderContext
This is the context for the artifact providers

## Method Summary

Modifier and Type
Method
Description
`File`
`getCacheDirectory()`
Get the cache directory
`void`
`incCachedArtifacts()`
Inform about an artifact found in the cache.
`void`
`incDownloadedArtifacts()`
Inform about an artifact being downloaded
`void`
`incLocalArtifacts()`
Inform about an artifact found locally.

## Method Details

### getCacheDirectory

File getCacheDirectory()
Get the cache directory

Returns:
  The cache directory.

### incCachedArtifacts

void incCachedArtifacts()
Inform about an artifact found in the cache.

### incDownloadedArtifacts

void incDownloadedArtifacts()
Inform about an artifact being downloaded

### incLocalArtifacts

void incLocalArtifacts()
Inform about an artifact found locally.